curl --location --request GET 'https://api.xente.co/api/transactions?startDate=2023-01-01&endDate=2023-01-31' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"code": 0,
"message": "Transactions retrieved successfully",
"data": {
"collection": [
{
"transactionId": "41cc8f29-f3f4-45aa-148f-08dc315567d8",
"requestId": "60bad96c-2358-4f73-8430-1405ddc3a93d",
"batchId": "123123123123",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -500.00,
"transactionType": "PAYOUT",
"product": {
"id": "5321",
"name": "Fred B"
},
"beneficiary": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "MTN Wallet Payout",
"data": {
"CustomerReference": "0770000",
"CustomerPhone": "07700000",
"CustomerEmail": "a@b.com",
"Memo": "Testing"
}
}
},
{
"transactionId": "42187dd1-e681-4e0e-28c6-08dc2c9c9b8c",
"requestId": "18ba945c-9a41-421c-96bb-67dca6a0d201",
"batchId": "123123123123",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -500.00,
"transactionType": "PAYOUT",
"product": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "Send mobile money"
},
"beneficiary": {
"id": "1234",
"name": "Jane Doe",
"data": {
"CustomerReference": "12312",
"CustomerPhone": +123234",
"CustomerEmail": "r@z.co",
"Memo": "Testing"
}
}
}
],
"totalCount": 53,
"pageSize": 5,
"currentPage": 1,
"totalPages": 11,
"previousPage": false,
"nextPage": true
}
}
Transactions
Get transactions
This endpoint retrieves a list of transactions
GET
/
api
/
transactions
curl --location --request GET 'https://api.xente.co/api/transactions?startDate=2023-01-01&endDate=2023-01-31' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"code": 0,
"message": "Transactions retrieved successfully",
"data": {
"collection": [
{
"transactionId": "41cc8f29-f3f4-45aa-148f-08dc315567d8",
"requestId": "60bad96c-2358-4f73-8430-1405ddc3a93d",
"batchId": "123123123123",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -500.00,
"transactionType": "PAYOUT",
"product": {
"id": "5321",
"name": "Fred B"
},
"beneficiary": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "MTN Wallet Payout",
"data": {
"CustomerReference": "0770000",
"CustomerPhone": "07700000",
"CustomerEmail": "a@b.com",
"Memo": "Testing"
}
}
},
{
"transactionId": "42187dd1-e681-4e0e-28c6-08dc2c9c9b8c",
"requestId": "18ba945c-9a41-421c-96bb-67dca6a0d201",
"batchId": "123123123123",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -500.00,
"transactionType": "PAYOUT",
"product": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "Send mobile money"
},
"beneficiary": {
"id": "1234",
"name": "Jane Doe",
"data": {
"CustomerReference": "12312",
"CustomerPhone": +123234",
"CustomerEmail": "r@z.co",
"Memo": "Testing"
}
}
}
],
"totalCount": 53,
"pageSize": 5,
"currentPage": 1,
"totalPages": 11,
"previousPage": false,
"nextPage": true
}
}
Documentation Index
Fetch the complete documentation index at: https://docs.xente.co/llms.txt
Use this file to discover all available pages before exploring further.
Query
Page number of transactions your are retrieving
Page size of transactions your are retrieving
The start date for filtering transactions.
The end date for filtering transactions.
Transaction status of transactions. Valid statuses are ENQUEUED, PROCESSING, FAILED, SUCCESSFULL, REVERSED
Response
The response code indicating the status of the request. 0 for success, other values for error.
The status of the request, e.g., “success”.
The list of transactions
Show Toggle array
Show Toggle array
The unique id of the transaction.
The id that your system uses to identify the transaction.
The batch id of the transaction. This is useful if it was sent as part of a bulk/batch payment.
The account number associated with the transaction.
Name of person or business that did the transaction.
Currency of the transaction.
Amount of the transaction.
The type of the transaction, e.g., “PAYOUT”.
The beneficiary of the transaction.
curl --location --request GET 'https://api.xente.co/api/transactions?startDate=2023-01-01&endDate=2023-01-31' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"code": 0,
"message": "Transactions retrieved successfully",
"data": {
"collection": [
{
"transactionId": "41cc8f29-f3f4-45aa-148f-08dc315567d8",
"requestId": "60bad96c-2358-4f73-8430-1405ddc3a93d",
"batchId": "123123123123",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -500.00,
"transactionType": "PAYOUT",
"product": {
"id": "5321",
"name": "Fred B"
},
"beneficiary": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "MTN Wallet Payout",
"data": {
"CustomerReference": "0770000",
"CustomerPhone": "07700000",
"CustomerEmail": "a@b.com",
"Memo": "Testing"
}
}
},
{
"transactionId": "42187dd1-e681-4e0e-28c6-08dc2c9c9b8c",
"requestId": "18ba945c-9a41-421c-96bb-67dca6a0d201",
"batchId": "123123123123",
"accountNumber": "6",
"name": null,
"currency": "UGX",
"amount": -500.00,
"transactionType": "PAYOUT",
"product": {
"id": "MTNMOBILEMONEYPAYOUTUG",
"name": "Send mobile money"
},
"beneficiary": {
"id": "1234",
"name": "Jane Doe",
"data": {
"CustomerReference": "12312",
"CustomerPhone": +123234",
"CustomerEmail": "r@z.co",
"Memo": "Testing"
}
}
}
],
"totalCount": 53,
"pageSize": 5,
"currentPage": 1,
"totalPages": 11,
"previousPage": false,
"nextPage": true
}
}
⌘I